PGAGetOptDirFlag(8)

NAME
PGAGetOptDirFlag - Returns a symbolic constant that represents the direction of optimization

INPUT PARAMETERS
ctx - context variable

OUTPUT PARAMETERS
none

SYNOPSIS
#include "pgapack.h"
int  PGAGetOptDirFlag(ctx)
PGAContext *ctx

LOCATION
pga.c

EXAMPLE
Example:
PGAContext *ctx;
int optdir;
:
optdir = PGAGetOptDirFlag(ctx);
switch (optdir) {
case PGA_MAXIMIZE:
printf("Optimization direction = PGA_MAXIMIZE);
break;
case PGA_MINIMIZE:
printf("Optimization direction = PGA_MINIMIZE);
break;
}